#include "motor.h"




  uint8_t Motor::pinPwm;



void Motor::setMotorPins(uint8_t pinA , uint8_t pinB){
  this->pinA = pinA;
  this->pinB = pinB;
}

void Motor::setMotorPwmPin(uint8_t pinPwm){
  Motor::pinPwm = pinPwm;
}


void Motor::setup(){
  ArduinoAnpassung::setup();
  pinMode(pinPwm , OUTPUT);
  digitalWrite(pinPwm , 1);
}



void Motor::memberSetup(){
  pinMode(pinA , OUTPUT);
  digitalWrite( pinA , 0);

  pinMode(pinB , OUTPUT);
  digitalWrite(pinB , 0);
}


void Motor::setMotorAktion(int8_t richtung){
  if(richtung > 0){
    digitalWrite( pinA , 1);
    digitalWrite( pinB , 0);
    digitalWrite(LED_BUILTIN , 1);
  }else if(richtung < 0){
    digitalWrite( pinA , 0);
    digitalWrite( pinB , 1);
    digitalWrite(LED_BUILTIN , 1);
  }else{
    digitalWrite( pinA , 0);
    digitalWrite( pinB , 0);
    digitalWrite(LED_BUILTIN , 0);
  }
}


void Motor::setMotorAktion(int8_t richtung , int id ){
  Motor *zeiger;
  zeiger = (Motor*) searchIdElement(id);
  if(zeiger)
    zeiger->setMotorAktion(richtung);
}
 




